Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class AccessControlListResolver.AccessControlEntryData

    java.lang.Object
      oracle.ifs.server.AccessControlListResolver.AccessControlEntryData

Enclosing class:
  AccessControlListResolver

    protected final class AccessControlListResolver.AccessControlEntryData

extends java.lang.Object

Struct class that holds relevant ACE data.

Constructor Summary
`protected` | `AccessControlListResolver.AccessControlEntryData(java.lang.Long id, java.lang.Long classId, S_DirectoryObject granteeObj, AccessLevel level, java.lang.Long[] pbIds, boolean granted)` Constructs an AccessControlEntryData.

Method Summary
`protected S_AccessControlEntry` | `getAccessControlEntry(S_LibrarySession session)` Gets the AccessControlEntry.
`protected S_DirectoryObject` | `getGrantee(S_LibrarySession sess)` Gets the grantee.
`protected boolean` | `isDependentOnPermissionBundle(java.lang.Long id)` Returns indication as to whether this ACE is dependent on the specified PermissionBundle ID.
`protected boolean` | `isNullEntry()` Returns indication as to whether this is a null entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessControlListResolver.AccessControlEntryData

    protected AccessControlListResolver.AccessControlEntryData(java.lang.Long id,
                                                               java.lang.Long classId,
                                                               S_DirectoryObject granteeObj,
                                                               AccessLevel level,
                                                               java.lang.Long[] pbIds,
                                                               boolean granted)
                                                        throws IfsException

  Constructs an AccessControlEntryData.

  Parameters:
    `id` - the ACE ID
    `classId` - the ACE class ID
    `granteeObj` - the Grantee
    `level` - the access level
    `pbIds` - the permissionBundles this ADE depends on
    `granted` - grant or revoke
  Throws:
    `IfsException`

Method Detail

### getGrantee

    protected S_DirectoryObject getGrantee(S_LibrarySession sess)
                                    throws IfsException

  Description copied from class: `AccessControlListResolver.AccessControlEntryData`
  Gets the grantee.

  Parameters:
    `sess` - the session context
  Returns:
    the grantee
  Throws:
    `IfsException` - if the operation fails

### getAccessControlEntry

    protected S_AccessControlEntry getAccessControlEntry(S_LibrarySession session)
                                                  throws IfsException

  Description copied from class: `AccessControlListResolver.AccessControlEntryData`
  Gets the AccessControlEntry.

  Parameters:
    `session` - the session context
  Returns:
    the AccessControlEntry
  Throws:
    `IfsException` - if the operation fails

### isNullEntry

    protected boolean isNullEntry()

  Description copied from class: `AccessControlListResolver.AccessControlEntryData`
  Returns indication as to whether this is a null entry.

  Returns:
    true if a null entry; false otherwise

### isDependentOnPermissionBundle

    protected boolean isDependentOnPermissionBundle(java.lang.Long id)

  Description copied from class: `AccessControlListResolver.AccessControlEntryData`
  Returns indication as to whether this ACE is dependent on the specified PermissionBundle ID.

  Parameters:
    `id` - the PermissionBundle ID
  Returns:
    true if the ACE depends on the specified PermissionBundle ID; false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD